%im_circle Create draggable circle
%  H = IM_CIRCLE begins interactive placement of a circle on the
%  current axes. The function returns H, a handle to a circle object.
%  The function is a special case of 'imellipse'. Please type 'help
%  ellipse' on the Matlab command line for further information.

classdef im_circle < imellipse
    methods
        function obj = im_circle(varargin)
            obj = obj@imellipse(varargin{:}, 'PositionConstraintFcn',...
                @(pos) [pos(1) pos(2) max(pos(3:4)) max(pos(3:4))]);
        end
    end
end
